# Update Access Key

Updates an Access Key with new information.

Endpoint: PATCH /v1/projects/{projectId}/accessKeys/{accessKeyId}
Version: v1
Security: OAuth2, Basic

## Security:

  - `OAuth2` (unknown)
    oauth2

  - `Basic` (unknown)
    http basic

## Path parameters:

  - `projectId` (string, required)

  - `accessKeyId` (string, required)

## Request fields (application/json):

  - `displayName` (string)
    Required. The display name for this Access Key. It must be unique for the resource tied to the key.

## Request examples:

  - `Update an existing Access Key` (unknown)

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `accessKeyId` (string)
    Unique ID for this Access Key.

  - `displayName` (string)
    The display name for this Access Key. It must be unique for the resource tied to the key.

  - `projectId` (string)
    The project ID this key is tied to.

  - `createTime` (string)
    Timestamp when the Access Key was created.

  - `updateTime` (string)
    Timestamp when the Access Key was last modified.

## Response 401:

  - `401` (unknown)
    Unauthenticated. Incorrect credentials.

## Response 403:

  - `403` (unknown)
    Permission denied.

## Response 404:

  - `404` (unknown)
    Resource not found

## Response 404 fields (application/json):

  - `error` (object)

  - `error.code` (integer)

  - `error.details` (array)

  - `error.details.type_url` (string)

  - `error.details.value` (string)

  - `error.message` (string)

  - `error.status` (string)

## Response 409:

  - `409` (unknown)
    Conflict

## Response 409 fields (application/json):

  - `error` (object)

  - `error.code` (integer)

  - `error.details` (array)

  - `error.details.type_url` (string)

  - `error.details.value` (string)

  - `error.message` (string)

  - `error.status` (string)

## Response 500:

  - `500` (unknown)
    Internal error, try again with exponential back-off

## Response 500 fields (application/json):

  - `error` (object)

  - `error.code` (integer)

  - `error.details` (array)

  - `error.details.type_url` (string)

  - `error.details.value` (string)

  - `error.message` (string)

  - `error.status` (string)

## Response 503:

  - `503` (unknown)
    Unavailable, try again with exponential back-off

## Response 503 fields (application/json):

  - `error` (object)

  - `error.code` (integer)

  - `error.details` (array)

  - `error.details.type_url` (string)

  - `error.details.value` (string)

  - `error.message` (string)

  - `error.status` (string)

